Cyberduck Mountain Duck CLI

#83 closed enhancement (fixed)

Fallback to alternate connect mode on failure

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone: 2.7
Component: ftp Version: 2.5.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I try to use Cyberduck to connect to the disk space provided by my ISP, that I can normally use through FTP. I enter the server address, username and password, then the status bar at the bottom of Cyberduck's window says that authentification and login succeed, but then it says "Obtention de la liste des fichiers du répertoire /WA" (in case you are a non-French speaking Swiss citizen ;-) this means "Obtaining the list of files of the /WA folder"). The wheel keeps on turning for a while until I get a "IO Error: operation timed out" message.

Using another FTP client (Transmit) it takes a few seconds to display the list of files but I can see them and download/upload files. So it looks like something is wrong with Cyberduck.

Strangely, I have no problem connecting to other (anonymous) servers.

Change History (6)

comment:1 Changed on Jan 9, 2006 at 2:10:06 PM by herve (.) fagard (@…

  • Type changed from defect to enhancement

I found the reason for this problem: the server I was trying to connect to doesn't accept passive mode connections. Changing the connection type to "active" solved the issue, I could get the list of files. Transmit and RBrowser are able to connect whatever the behaviour of the server is, because if the server doesn't accept passive connections theses software switch automatically to "active". I could see this in the "Transcript" window of both software. Hence two suggested new features for Cyberduck:

  1. if the passive mode fails, attempt to connect in active mode,
  2. add a Transcript window which can be very useful in solving connection issues.

Thanks, Herve

comment:2 Changed on Feb 13, 2006 at 2:19:46 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from Cyberduck stuck when trying to display the list of files on the server to Fallback to alternate connect mode on failure

comment:3 Changed on May 11, 2006 at 10:48:04 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

A transcript window will be added in 2.5.6.

comment:4 Changed on May 11, 2006 at 10:48:10 PM by dkocher

  • Milestone 2.6 deleted

comment:5 Changed on Oct 18, 2006 at 11:47:09 AM by dkocher

  • Milestone set to 2.6.3
  • Resolution wontfix deleted
  • Status changed from closed to reopened

Fallback to alternate connection mode should be supported if the server's response is telling us about not supporting either connect mode.

comment:6 Changed on Oct 18, 2006 at 11:48:28 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software